Package Details: ocs-url 3.1.0-7

Git Clone URL: https://aur.archlinux.org/ocs-url.git (read-only, click to copy)
Package Base: ocs-url
Description: An install helper program for items served via OpenCollaborationServices (ocs://).
Upstream URL: https://www.opencode.net/dfn2/ocs-url
Licenses: GPL3
Conflicts: xdgurl
Provides: xdgurl
Submitter: oberon2007
Maintainer: Pol_M
Last Packager: Pol_M
Votes: 64
Popularity: 0.70
First Submitted: 2017-03-07 11:46 (UTC)
Last Updated: 2021-12-20 20:49 (UTC)

Latest Comments

1 2 3 4 Next › Last »

shaybox commented on 2024-04-27 16:39 (UTC) (edited on 2024-04-27 16:41 (UTC) by shaybox)

It still builds, but it doesn't work, but that's because the developers behind the websites Pling, OpenDesktop, OpenCode, and projects like pling-store, ocs-store, ocs-url, opendesktop-app, etc have all been abandoned for 4 years with no sign of activity besides maintenance to keep the websites operational.

https://www.opencode.net/dfn2/ocs-url/-/issues/2

Pol_M commented on 2024-04-27 13:43 (UTC)

Just checked, it still builds correctly

shaybox commented on 2024-04-17 03:33 (UTC)

This no longer works, I just get an invalid URL error.

Creto commented on 2022-11-17 11:43 (UTC)

The ocs-url is not found by the installation tools, and it looks like it's not even installed

Pol_M commented on 2021-09-13 16:10 (UTC)

Will look into it!

yochananmarqos commented on 2021-09-12 20:43 (UTC)

Please add the qtil subproject to the source array, no need for the prepare script:

@@ -15,14 +15,13 @@
 conflicts=('xdgurl')
 provides=('xdgurl')
 source=("git+$url.git#tag=release-$pkgver"
-   "new-version-format.patch")
+        'git+https://github.com/akiraohgaki/qtil.git#tag=v0.4.0')
 sha256sums=('SKIP'
-       'c80a519c8caa7c1ebb9cc26374f25c7681f5740d64a4d88ffaf495e077e234fc')
+            'SKIP')

 prepare() {
     cd $pkgname
-    patch --forward --strip=1 --input="${srcdir}/new-version-format.patch"
-    ./scripts/prepare
+    ln -s "$srcdir/qtil" lib/qtil
 }

 build() {

Pol_M commented on 2020-09-18 16:36 (UTC)

I'll investigate it. Does it no longer compile with the default arch?

Ddone commented on 2020-09-18 16:31 (UTC)

Please add "patch" to make dependencies.

Pol_M commented on 2020-05-08 12:09 (UTC) (edited on 2020-05-08 12:10 (UTC) by Pol_M)

can you try changing the url to: "https://www.opencode.net/akiraohgaki/$pkgname" you may need to remove /var/tmp/pamac-build-dmitry/ocs-url/*

mittyta commented on 2020-05-08 12:06 (UTC) (edited on 2020-05-08 12:06 (UTC) by mittyta)

Hmm, but I've got it again:


Building ocs-url...
==> Making package: ocs-url 3.1.0-7 (Fri May  8 15:01:49 2020)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Cloning ocs-url git repo...
Cloning into bare repository '/var/tmp/pamac-build-dmitry/ocs-url/ocs-url'...
fatal: unable to access 'https://www.opencode.net/dfn2/ocs-url.git/': Failed to connect to www.opencode.net port 443: Connection timed out
==> ERROR: Failure while downloading ocs-url git repo
    Aborting...
Failed to build ocs-url